SEARCH
NEW RPMS
DIRECTORIES
ABOUT
FAQ
VARIOUS
BLOG
DONATE




YUM REPOSITORY

 
 

perl-Test-NeedsDisplay rpm build for : Mandriva 2011. For other distributions click perl-Test-NeedsDisplay.

Name : perl-Test-NeedsDisplay
Version : 1.70.0 Vendor : Mandriva
Release : 2 Date : 2011-04-25 18:33:38
Group : Development/Perl Source RPM : perl-Test-NeedsDisplay-1.70.0-2.src.rpm
Size : 0.03 MB
Packager : Funda Wang < fwang_mandriva_org>
Summary : Ensure that tests needing a display have one
Description :
When testing GUI applications, sometimes applications or modules absolutely
insist on a display, even just to load a module without actually showing
any objects.

Regardless, this makes GUI applications pretty much impossible to build and
test on headless or automated systems. And it fails to the point of not
even running the Makefile.PL script because a dependency needs a display so
it can be loaded to find a version.

In these situations, what is needed is a fake display.

RPM found in directory: /mirror/carroll.cac.psu.edu/pub/linux/distributions/mandrakelinux/official/2011/i586/media/contrib/release

Content of RPM  Changelog  Provides Requires

Download
ftp.gwdg.de  perl-Test-NeedsDisplay-1.70.0-2-mdv2011.0.noarch.rpm
ftp.gwdg.de  perl-Test-NeedsDisplay-1.70.0-2-mdv2011.0.noarch.rpm
ftp.gwdg.de  perl-Test-NeedsDisplay-1.70.0-2-mdv2011.0.noarch.rpm
ftp.gwdg.de  perl-Test-NeedsDisplay-1.70.0-2-mdv2011.0.noarch.rpm
bo.mirror.garr.it  perl-Test-NeedsDisplay-1.70.0-2-mdv2011.0.noarch.rpm
bo.mirror.garr.it  perl-Test-NeedsDisplay-1.70.0-2-mdv2011.0.noarch.rpm
ftp.icm.edu.pl  perl-Test-NeedsDisplay-1.70.0-2-mdv2011.0.noarch.rpm
ftp.icm.edu.pl  perl-Test-NeedsDisplay-1.70.0-2-mdv2011.0.noarch.rpm
ftp.icm.edu.pl  perl-Test-NeedsDisplay-1.70.0-2-mdv2011.0.noarch.rpm
ftp.icm.edu.pl  perl-Test-NeedsDisplay-1.70.0-2-mdv2011.0.noarch.rpm
ftp.pbone.net  perl-Test-NeedsDisplay-1.70.0-2-mdv2011.0.noarch.rpm
     

Provides :
perl(Test::NeedsDisplay)
perl-Test-NeedsDisplay

Requires :
x11-server-xvfb
perl-base >= 2:5.12.3
perl(Config)
perl(File::Spec)
perl(Test::More)
rpmlib(PayloadIsLzma) <= 4.4.6-1


Content of RPM :
/usr/lib/perl5/vendor_perl/5.12.3/Test
/usr/lib/perl5/vendor_perl/5.12.3/Test/NeedsDisplay.pm
/usr/share/doc/perl-Test-NeedsDisplay
/usr/share/doc/perl-Test-NeedsDisplay/Changes
/usr/share/doc/perl-Test-NeedsDisplay/LICENSE
/usr/share/doc/perl-Test-NeedsDisplay/README
/usr/share/man/man3/Test::NeedsDisplay.3pm.xz